/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENEFILETYPE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenefiletype.findAll", query = "SELECT t FROM Tgenefiletype t"),
    @NamedQuery(name = "Tgenefiletype.findByFilecode", query = "SELECT t FROM Tgenefiletype t WHERE t.filecode = :filecode"),
    @NamedQuery(name = "Tgenefiletype.findByDescription", query = "SELECT t FROM Tgenefiletype t WHERE t.description = :description"),
    @NamedQuery(name = "Tgenefiletype.findByManaged", query = "SELECT t FROM Tgenefiletype t WHERE t.managed = :managed"),
    @NamedQuery(name = "Tgenefiletype.findByRecordversion", query = "SELECT t FROM Tgenefiletype t WHERE t.recordversion = :recordversion")})
public class Tgenefiletype implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "FILECODE")
    private String filecode;
    @Column(name = "DESCRIPTION")
    private String description;
    @Column(name = "MANAGED")
    private String managed;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;

    public Tgenefiletype() {
    }

    public Tgenefiletype(String filecode) {
        this.filecode = filecode;
    }

    public String getFilecode() {
        return filecode;
    }

    public void setFilecode(String filecode) {
        this.filecode = filecode;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getManaged() {
        return managed;
    }

    public void setManaged(String managed) {
        this.managed = managed;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (filecode != null ? filecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenefiletype)) {
            return false;
        }
        Tgenefiletype other = (Tgenefiletype) object;
        if ((this.filecode == null && other.filecode != null) || (this.filecode != null && !this.filecode.equals(other.filecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenefiletype[ filecode=" + filecode + " ]";
    }
    
}
